package com.unis.base.server.example;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class TyJgjcxxbExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TyJgjcxxbExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andJgxxidIsNull() {
            addCriterion("JGXXID is null");
            return (Criteria) this;
        }

        public Criteria andJgxxidIsNotNull() {
            addCriterion("JGXXID is not null");
            return (Criteria) this;
        }

        public Criteria andJgxxidEqualTo(String value) {
            addCriterion("JGXXID =", value, "jgxxid");
            return (Criteria) this;
        }

        public Criteria andJgxxidNotEqualTo(String value) {
            addCriterion("JGXXID <>", value, "jgxxid");
            return (Criteria) this;
        }

        public Criteria andJgxxidGreaterThan(String value) {
            addCriterion("JGXXID >", value, "jgxxid");
            return (Criteria) this;
        }

        public Criteria andJgxxidGreaterThanOrEqualTo(String value) {
            addCriterion("JGXXID >=", value, "jgxxid");
            return (Criteria) this;
        }

        public Criteria andJgxxidLessThan(String value) {
            addCriterion("JGXXID <", value, "jgxxid");
            return (Criteria) this;
        }

        public Criteria andJgxxidLessThanOrEqualTo(String value) {
            addCriterion("JGXXID <=", value, "jgxxid");
            return (Criteria) this;
        }

        public Criteria andJgxxidLike(String value) {
            addCriterion("JGXXID like", value, "jgxxid");
            return (Criteria) this;
        }

        public Criteria andJgxxidNotLike(String value) {
            addCriterion("JGXXID not like", value, "jgxxid");
            return (Criteria) this;
        }

        public Criteria andJgxxidIn(List<String> values) {
            addCriterion("JGXXID in", values, "jgxxid");
            return (Criteria) this;
        }

        public Criteria andJgxxidNotIn(List<String> values) {
            addCriterion("JGXXID not in", values, "jgxxid");
            return (Criteria) this;
        }

        public Criteria andJgxxidBetween(String value1, String value2) {
            addCriterion("JGXXID between", value1, value2, "jgxxid");
            return (Criteria) this;
        }

        public Criteria andJgxxidNotBetween(String value1, String value2) {
            addCriterion("JGXXID not between", value1, value2, "jgxxid");
            return (Criteria) this;
        }

        public Criteria andJcddmIsNull() {
            addCriterion("JCDDM is null");
            return (Criteria) this;
        }

        public Criteria andJcddmIsNotNull() {
            addCriterion("JCDDM is not null");
            return (Criteria) this;
        }

        public Criteria andJcddmEqualTo(String value) {
            addCriterion("JCDDM =", value, "jcddm");
            return (Criteria) this;
        }

        public Criteria andJcddmNotEqualTo(String value) {
            addCriterion("JCDDM <>", value, "jcddm");
            return (Criteria) this;
        }

        public Criteria andJcddmGreaterThan(String value) {
            addCriterion("JCDDM >", value, "jcddm");
            return (Criteria) this;
        }

        public Criteria andJcddmGreaterThanOrEqualTo(String value) {
            addCriterion("JCDDM >=", value, "jcddm");
            return (Criteria) this;
        }

        public Criteria andJcddmLessThan(String value) {
            addCriterion("JCDDM <", value, "jcddm");
            return (Criteria) this;
        }

        public Criteria andJcddmLessThanOrEqualTo(String value) {
            addCriterion("JCDDM <=", value, "jcddm");
            return (Criteria) this;
        }

        public Criteria andJcddmLike(String value) {
            addCriterion("JCDDM like", value, "jcddm");
            return (Criteria) this;
        }

        public Criteria andJcddmNotLike(String value) {
            addCriterion("JCDDM not like", value, "jcddm");
            return (Criteria) this;
        }

        public Criteria andJcddmIn(List<String> values) {
            addCriterion("JCDDM in", values, "jcddm");
            return (Criteria) this;
        }

        public Criteria andJcddmNotIn(List<String> values) {
            addCriterion("JCDDM not in", values, "jcddm");
            return (Criteria) this;
        }

        public Criteria andJcddmBetween(String value1, String value2) {
            addCriterion("JCDDM between", value1, value2, "jcddm");
            return (Criteria) this;
        }

        public Criteria andJcddmNotBetween(String value1, String value2) {
            addCriterion("JCDDM not between", value1, value2, "jcddm");
            return (Criteria) this;
        }

        public Criteria andJcdmcIsNull() {
            addCriterion("JCDMC is null");
            return (Criteria) this;
        }

        public Criteria andJcdmcIsNotNull() {
            addCriterion("JCDMC is not null");
            return (Criteria) this;
        }

        public Criteria andJcdmcEqualTo(String value) {
            addCriterion("JCDMC =", value, "jcdmc");
            return (Criteria) this;
        }

        public Criteria andJcdmcNotEqualTo(String value) {
            addCriterion("JCDMC <>", value, "jcdmc");
            return (Criteria) this;
        }

        public Criteria andJcdmcGreaterThan(String value) {
            addCriterion("JCDMC >", value, "jcdmc");
            return (Criteria) this;
        }

        public Criteria andJcdmcGreaterThanOrEqualTo(String value) {
            addCriterion("JCDMC >=", value, "jcdmc");
            return (Criteria) this;
        }

        public Criteria andJcdmcLessThan(String value) {
            addCriterion("JCDMC <", value, "jcdmc");
            return (Criteria) this;
        }

        public Criteria andJcdmcLessThanOrEqualTo(String value) {
            addCriterion("JCDMC <=", value, "jcdmc");
            return (Criteria) this;
        }

        public Criteria andJcdmcLike(String value) {
            addCriterion("JCDMC like", value, "jcdmc");
            return (Criteria) this;
        }

        public Criteria andJcdmcNotLike(String value) {
            addCriterion("JCDMC not like", value, "jcdmc");
            return (Criteria) this;
        }

        public Criteria andJcdmcIn(List<String> values) {
            addCriterion("JCDMC in", values, "jcdmc");
            return (Criteria) this;
        }

        public Criteria andJcdmcNotIn(List<String> values) {
            addCriterion("JCDMC not in", values, "jcdmc");
            return (Criteria) this;
        }

        public Criteria andJcdmcBetween(String value1, String value2) {
            addCriterion("JCDMC between", value1, value2, "jcdmc");
            return (Criteria) this;
        }

        public Criteria andJcdmcNotBetween(String value1, String value2) {
            addCriterion("JCDMC not between", value1, value2, "jcdmc");
            return (Criteria) this;
        }

        public Criteria andJcdssqyIsNull() {
            addCriterion("JCDSSQY is null");
            return (Criteria) this;
        }

        public Criteria andJcdssqyIsNotNull() {
            addCriterion("JCDSSQY is not null");
            return (Criteria) this;
        }

        public Criteria andJcdssqyEqualTo(String value) {
            addCriterion("JCDSSQY =", value, "jcdssqy");
            return (Criteria) this;
        }

        public Criteria andJcdssqyNotEqualTo(String value) {
            addCriterion("JCDSSQY <>", value, "jcdssqy");
            return (Criteria) this;
        }

        public Criteria andJcdssqyGreaterThan(String value) {
            addCriterion("JCDSSQY >", value, "jcdssqy");
            return (Criteria) this;
        }

        public Criteria andJcdssqyGreaterThanOrEqualTo(String value) {
            addCriterion("JCDSSQY >=", value, "jcdssqy");
            return (Criteria) this;
        }

        public Criteria andJcdssqyLessThan(String value) {
            addCriterion("JCDSSQY <", value, "jcdssqy");
            return (Criteria) this;
        }

        public Criteria andJcdssqyLessThanOrEqualTo(String value) {
            addCriterion("JCDSSQY <=", value, "jcdssqy");
            return (Criteria) this;
        }

        public Criteria andJcdssqyLike(String value) {
            addCriterion("JCDSSQY like", value, "jcdssqy");
            return (Criteria) this;
        }

        public Criteria andJcdssqyNotLike(String value) {
            addCriterion("JCDSSQY not like", value, "jcdssqy");
            return (Criteria) this;
        }

        public Criteria andJcdssqyIn(List<String> values) {
            addCriterion("JCDSSQY in", values, "jcdssqy");
            return (Criteria) this;
        }

        public Criteria andJcdssqyNotIn(List<String> values) {
            addCriterion("JCDSSQY not in", values, "jcdssqy");
            return (Criteria) this;
        }

        public Criteria andJcdssqyBetween(String value1, String value2) {
            addCriterion("JCDSSQY between", value1, value2, "jcdssqy");
            return (Criteria) this;
        }

        public Criteria andJcdssqyNotBetween(String value1, String value2) {
            addCriterion("JCDSSQY not between", value1, value2, "jcdssqy");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNull() {
            addCriterion("PZBM is null");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNotNull() {
            addCriterion("PZBM is not null");
            return (Criteria) this;
        }

        public Criteria andPzbmEqualTo(String value) {
            addCriterion("PZBM =", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotEqualTo(String value) {
            addCriterion("PZBM <>", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThan(String value) {
            addCriterion("PZBM >", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThanOrEqualTo(String value) {
            addCriterion("PZBM >=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThan(String value) {
            addCriterion("PZBM <", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThanOrEqualTo(String value) {
            addCriterion("PZBM <=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLike(String value) {
            addCriterion("PZBM like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotLike(String value) {
            addCriterion("PZBM not like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmIn(List<String> values) {
            addCriterion("PZBM in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotIn(List<String> values) {
            addCriterion("PZBM not in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmBetween(String value1, String value2) {
            addCriterion("PZBM between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotBetween(String value1, String value2) {
            addCriterion("PZBM not between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzmcIsNull() {
            addCriterion("PZMC is null");
            return (Criteria) this;
        }

        public Criteria andPzmcIsNotNull() {
            addCriterion("PZMC is not null");
            return (Criteria) this;
        }

        public Criteria andPzmcEqualTo(String value) {
            addCriterion("PZMC =", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotEqualTo(String value) {
            addCriterion("PZMC <>", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcGreaterThan(String value) {
            addCriterion("PZMC >", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcGreaterThanOrEqualTo(String value) {
            addCriterion("PZMC >=", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLessThan(String value) {
            addCriterion("PZMC <", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLessThanOrEqualTo(String value) {
            addCriterion("PZMC <=", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcLike(String value) {
            addCriterion("PZMC like", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotLike(String value) {
            addCriterion("PZMC not like", value, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcIn(List<String> values) {
            addCriterion("PZMC in", values, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotIn(List<String> values) {
            addCriterion("PZMC not in", values, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcBetween(String value1, String value2) {
            addCriterion("PZMC between", value1, value2, "pzmc");
            return (Criteria) this;
        }

        public Criteria andPzmcNotBetween(String value1, String value2) {
            addCriterion("PZMC not between", value1, value2, "pzmc");
            return (Criteria) this;
        }

        public Criteria andLsbsbmIsNull() {
            addCriterion("LSBSBM is null");
            return (Criteria) this;
        }

        public Criteria andLsbsbmIsNotNull() {
            addCriterion("LSBSBM is not null");
            return (Criteria) this;
        }

        public Criteria andLsbsbmEqualTo(String value) {
            addCriterion("LSBSBM =", value, "lsbsbm");
            return (Criteria) this;
        }

        public Criteria andLsbsbmNotEqualTo(String value) {
            addCriterion("LSBSBM <>", value, "lsbsbm");
            return (Criteria) this;
        }

        public Criteria andLsbsbmGreaterThan(String value) {
            addCriterion("LSBSBM >", value, "lsbsbm");
            return (Criteria) this;
        }

        public Criteria andLsbsbmGreaterThanOrEqualTo(String value) {
            addCriterion("LSBSBM >=", value, "lsbsbm");
            return (Criteria) this;
        }

        public Criteria andLsbsbmLessThan(String value) {
            addCriterion("LSBSBM <", value, "lsbsbm");
            return (Criteria) this;
        }

        public Criteria andLsbsbmLessThanOrEqualTo(String value) {
            addCriterion("LSBSBM <=", value, "lsbsbm");
            return (Criteria) this;
        }

        public Criteria andLsbsbmLike(String value) {
            addCriterion("LSBSBM like", value, "lsbsbm");
            return (Criteria) this;
        }

        public Criteria andLsbsbmNotLike(String value) {
            addCriterion("LSBSBM not like", value, "lsbsbm");
            return (Criteria) this;
        }

        public Criteria andLsbsbmIn(List<String> values) {
            addCriterion("LSBSBM in", values, "lsbsbm");
            return (Criteria) this;
        }

        public Criteria andLsbsbmNotIn(List<String> values) {
            addCriterion("LSBSBM not in", values, "lsbsbm");
            return (Criteria) this;
        }

        public Criteria andLsbsbmBetween(String value1, String value2) {
            addCriterion("LSBSBM between", value1, value2, "lsbsbm");
            return (Criteria) this;
        }

        public Criteria andLsbsbmNotBetween(String value1, String value2) {
            addCriterion("LSBSBM not between", value1, value2, "lsbsbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIsNull() {
            addCriterion("LSDJBM is null");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIsNotNull() {
            addCriterion("LSDJBM is not null");
            return (Criteria) this;
        }

        public Criteria andLsdjbmEqualTo(String value) {
            addCriterion("LSDJBM =", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotEqualTo(String value) {
            addCriterion("LSDJBM <>", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmGreaterThan(String value) {
            addCriterion("LSDJBM >", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmGreaterThanOrEqualTo(String value) {
            addCriterion("LSDJBM >=", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLessThan(String value) {
            addCriterion("LSDJBM <", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLessThanOrEqualTo(String value) {
            addCriterion("LSDJBM <=", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmLike(String value) {
            addCriterion("LSDJBM like", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotLike(String value) {
            addCriterion("LSDJBM not like", value, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmIn(List<String> values) {
            addCriterion("LSDJBM in", values, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotIn(List<String> values) {
            addCriterion("LSDJBM not in", values, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmBetween(String value1, String value2) {
            addCriterion("LSDJBM between", value1, value2, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjbmNotBetween(String value1, String value2) {
            addCriterion("LSDJBM not between", value1, value2, "lsdjbm");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIsNull() {
            addCriterion("LSDJMC is null");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIsNotNull() {
            addCriterion("LSDJMC is not null");
            return (Criteria) this;
        }

        public Criteria andLsdjmcEqualTo(String value) {
            addCriterion("LSDJMC =", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotEqualTo(String value) {
            addCriterion("LSDJMC <>", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcGreaterThan(String value) {
            addCriterion("LSDJMC >", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcGreaterThanOrEqualTo(String value) {
            addCriterion("LSDJMC >=", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLessThan(String value) {
            addCriterion("LSDJMC <", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLessThanOrEqualTo(String value) {
            addCriterion("LSDJMC <=", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcLike(String value) {
            addCriterion("LSDJMC like", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotLike(String value) {
            addCriterion("LSDJMC not like", value, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcIn(List<String> values) {
            addCriterion("LSDJMC in", values, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotIn(List<String> values) {
            addCriterion("LSDJMC not in", values, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcBetween(String value1, String value2) {
            addCriterion("LSDJMC between", value1, value2, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsdjmcNotBetween(String value1, String value2) {
            addCriterion("LSDJMC not between", value1, value2, "lsdjmc");
            return (Criteria) this;
        }

        public Criteria andLsxzbmIsNull() {
            addCriterion("LSXZBM is null");
            return (Criteria) this;
        }

        public Criteria andLsxzbmIsNotNull() {
            addCriterion("LSXZBM is not null");
            return (Criteria) this;
        }

        public Criteria andLsxzbmEqualTo(String value) {
            addCriterion("LSXZBM =", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotEqualTo(String value) {
            addCriterion("LSXZBM <>", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmGreaterThan(String value) {
            addCriterion("LSXZBM >", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmGreaterThanOrEqualTo(String value) {
            addCriterion("LSXZBM >=", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmLessThan(String value) {
            addCriterion("LSXZBM <", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmLessThanOrEqualTo(String value) {
            addCriterion("LSXZBM <=", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmLike(String value) {
            addCriterion("LSXZBM like", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotLike(String value) {
            addCriterion("LSXZBM not like", value, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmIn(List<String> values) {
            addCriterion("LSXZBM in", values, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotIn(List<String> values) {
            addCriterion("LSXZBM not in", values, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmBetween(String value1, String value2) {
            addCriterion("LSXZBM between", value1, value2, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzbmNotBetween(String value1, String value2) {
            addCriterion("LSXZBM not between", value1, value2, "lsxzbm");
            return (Criteria) this;
        }

        public Criteria andLsxzmcIsNull() {
            addCriterion("LSXZMC is null");
            return (Criteria) this;
        }

        public Criteria andLsxzmcIsNotNull() {
            addCriterion("LSXZMC is not null");
            return (Criteria) this;
        }

        public Criteria andLsxzmcEqualTo(String value) {
            addCriterion("LSXZMC =", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcNotEqualTo(String value) {
            addCriterion("LSXZMC <>", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcGreaterThan(String value) {
            addCriterion("LSXZMC >", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcGreaterThanOrEqualTo(String value) {
            addCriterion("LSXZMC >=", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcLessThan(String value) {
            addCriterion("LSXZMC <", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcLessThanOrEqualTo(String value) {
            addCriterion("LSXZMC <=", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcLike(String value) {
            addCriterion("LSXZMC like", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcNotLike(String value) {
            addCriterion("LSXZMC not like", value, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcIn(List<String> values) {
            addCriterion("LSXZMC in", values, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcNotIn(List<String> values) {
            addCriterion("LSXZMC not in", values, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcBetween(String value1, String value2) {
            addCriterion("LSXZMC between", value1, value2, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andLsxzmcNotBetween(String value1, String value2) {
            addCriterion("LSXZMC not between", value1, value2, "lsxzmc");
            return (Criteria) this;
        }

        public Criteria andShndIsNull() {
            addCriterion("SHND is null");
            return (Criteria) this;
        }

        public Criteria andShndIsNotNull() {
            addCriterion("SHND is not null");
            return (Criteria) this;
        }

        public Criteria andShndEqualTo(String value) {
            addCriterion("SHND =", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotEqualTo(String value) {
            addCriterion("SHND <>", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndGreaterThan(String value) {
            addCriterion("SHND >", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndGreaterThanOrEqualTo(String value) {
            addCriterion("SHND >=", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLessThan(String value) {
            addCriterion("SHND <", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLessThanOrEqualTo(String value) {
            addCriterion("SHND <=", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndLike(String value) {
            addCriterion("SHND like", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotLike(String value) {
            addCriterion("SHND not like", value, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndIn(List<String> values) {
            addCriterion("SHND in", values, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotIn(List<String> values) {
            addCriterion("SHND not in", values, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndBetween(String value1, String value2) {
            addCriterion("SHND between", value1, value2, "shnd");
            return (Criteria) this;
        }

        public Criteria andShndNotBetween(String value1, String value2) {
            addCriterion("SHND not between", value1, value2, "shnd");
            return (Criteria) this;
        }

        public Criteria andLsgbIsNull() {
            addCriterion("LSGB is null");
            return (Criteria) this;
        }

        public Criteria andLsgbIsNotNull() {
            addCriterion("LSGB is not null");
            return (Criteria) this;
        }

        public Criteria andLsgbEqualTo(String value) {
            addCriterion("LSGB =", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbNotEqualTo(String value) {
            addCriterion("LSGB <>", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbGreaterThan(String value) {
            addCriterion("LSGB >", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbGreaterThanOrEqualTo(String value) {
            addCriterion("LSGB >=", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbLessThan(String value) {
            addCriterion("LSGB <", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbLessThanOrEqualTo(String value) {
            addCriterion("LSGB <=", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbLike(String value) {
            addCriterion("LSGB like", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbNotLike(String value) {
            addCriterion("LSGB not like", value, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbIn(List<String> values) {
            addCriterion("LSGB in", values, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbNotIn(List<String> values) {
            addCriterion("LSGB not in", values, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbBetween(String value1, String value2) {
            addCriterion("LSGB between", value1, value2, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLsgbNotBetween(String value1, String value2) {
            addCriterion("LSGB not between", value1, value2, "lsgb");
            return (Criteria) this;
        }

        public Criteria andLscdIsNull() {
            addCriterion("LSCD is null");
            return (Criteria) this;
        }

        public Criteria andLscdIsNotNull() {
            addCriterion("LSCD is not null");
            return (Criteria) this;
        }

        public Criteria andLscdEqualTo(String value) {
            addCriterion("LSCD =", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotEqualTo(String value) {
            addCriterion("LSCD <>", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdGreaterThan(String value) {
            addCriterion("LSCD >", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdGreaterThanOrEqualTo(String value) {
            addCriterion("LSCD >=", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdLessThan(String value) {
            addCriterion("LSCD <", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdLessThanOrEqualTo(String value) {
            addCriterion("LSCD <=", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdLike(String value) {
            addCriterion("LSCD like", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotLike(String value) {
            addCriterion("LSCD not like", value, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdIn(List<String> values) {
            addCriterion("LSCD in", values, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotIn(List<String> values) {
            addCriterion("LSCD not in", values, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdBetween(String value1, String value2) {
            addCriterion("LSCD between", value1, value2, "lscd");
            return (Criteria) this;
        }

        public Criteria andLscdNotBetween(String value1, String value2) {
            addCriterion("LSCD not between", value1, value2, "lscd");
            return (Criteria) this;
        }

        public Criteria andPpbmIsNull() {
            addCriterion("PPBM is null");
            return (Criteria) this;
        }

        public Criteria andPpbmIsNotNull() {
            addCriterion("PPBM is not null");
            return (Criteria) this;
        }

        public Criteria andPpbmEqualTo(String value) {
            addCriterion("PPBM =", value, "ppbm");
            return (Criteria) this;
        }

        public Criteria andPpbmNotEqualTo(String value) {
            addCriterion("PPBM <>", value, "ppbm");
            return (Criteria) this;
        }

        public Criteria andPpbmGreaterThan(String value) {
            addCriterion("PPBM >", value, "ppbm");
            return (Criteria) this;
        }

        public Criteria andPpbmGreaterThanOrEqualTo(String value) {
            addCriterion("PPBM >=", value, "ppbm");
            return (Criteria) this;
        }

        public Criteria andPpbmLessThan(String value) {
            addCriterion("PPBM <", value, "ppbm");
            return (Criteria) this;
        }

        public Criteria andPpbmLessThanOrEqualTo(String value) {
            addCriterion("PPBM <=", value, "ppbm");
            return (Criteria) this;
        }

        public Criteria andPpbmLike(String value) {
            addCriterion("PPBM like", value, "ppbm");
            return (Criteria) this;
        }

        public Criteria andPpbmNotLike(String value) {
            addCriterion("PPBM not like", value, "ppbm");
            return (Criteria) this;
        }

        public Criteria andPpbmIn(List<String> values) {
            addCriterion("PPBM in", values, "ppbm");
            return (Criteria) this;
        }

        public Criteria andPpbmNotIn(List<String> values) {
            addCriterion("PPBM not in", values, "ppbm");
            return (Criteria) this;
        }

        public Criteria andPpbmBetween(String value1, String value2) {
            addCriterion("PPBM between", value1, value2, "ppbm");
            return (Criteria) this;
        }

        public Criteria andPpbmNotBetween(String value1, String value2) {
            addCriterion("PPBM not between", value1, value2, "ppbm");
            return (Criteria) this;
        }

        public Criteria andPpmcIsNull() {
            addCriterion("PPMC is null");
            return (Criteria) this;
        }

        public Criteria andPpmcIsNotNull() {
            addCriterion("PPMC is not null");
            return (Criteria) this;
        }

        public Criteria andPpmcEqualTo(String value) {
            addCriterion("PPMC =", value, "ppmc");
            return (Criteria) this;
        }

        public Criteria andPpmcNotEqualTo(String value) {
            addCriterion("PPMC <>", value, "ppmc");
            return (Criteria) this;
        }

        public Criteria andPpmcGreaterThan(String value) {
            addCriterion("PPMC >", value, "ppmc");
            return (Criteria) this;
        }

        public Criteria andPpmcGreaterThanOrEqualTo(String value) {
            addCriterion("PPMC >=", value, "ppmc");
            return (Criteria) this;
        }

        public Criteria andPpmcLessThan(String value) {
            addCriterion("PPMC <", value, "ppmc");
            return (Criteria) this;
        }

        public Criteria andPpmcLessThanOrEqualTo(String value) {
            addCriterion("PPMC <=", value, "ppmc");
            return (Criteria) this;
        }

        public Criteria andPpmcLike(String value) {
            addCriterion("PPMC like", value, "ppmc");
            return (Criteria) this;
        }

        public Criteria andPpmcNotLike(String value) {
            addCriterion("PPMC not like", value, "ppmc");
            return (Criteria) this;
        }

        public Criteria andPpmcIn(List<String> values) {
            addCriterion("PPMC in", values, "ppmc");
            return (Criteria) this;
        }

        public Criteria andPpmcNotIn(List<String> values) {
            addCriterion("PPMC not in", values, "ppmc");
            return (Criteria) this;
        }

        public Criteria andPpmcBetween(String value1, String value2) {
            addCriterion("PPMC between", value1, value2, "ppmc");
            return (Criteria) this;
        }

        public Criteria andPpmcNotBetween(String value1, String value2) {
            addCriterion("PPMC not between", value1, value2, "ppmc");
            return (Criteria) this;
        }

        public Criteria andGgxhIsNull() {
            addCriterion("GGXH is null");
            return (Criteria) this;
        }

        public Criteria andGgxhIsNotNull() {
            addCriterion("GGXH is not null");
            return (Criteria) this;
        }

        public Criteria andGgxhEqualTo(String value) {
            addCriterion("GGXH =", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhNotEqualTo(String value) {
            addCriterion("GGXH <>", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhGreaterThan(String value) {
            addCriterion("GGXH >", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhGreaterThanOrEqualTo(String value) {
            addCriterion("GGXH >=", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhLessThan(String value) {
            addCriterion("GGXH <", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhLessThanOrEqualTo(String value) {
            addCriterion("GGXH <=", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhLike(String value) {
            addCriterion("GGXH like", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhNotLike(String value) {
            addCriterion("GGXH not like", value, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhIn(List<String> values) {
            addCriterion("GGXH in", values, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhNotIn(List<String> values) {
            addCriterion("GGXH not in", values, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhBetween(String value1, String value2) {
            addCriterion("GGXH between", value1, value2, "ggxh");
            return (Criteria) this;
        }

        public Criteria andGgxhNotBetween(String value1, String value2) {
            addCriterion("GGXH not between", value1, value2, "ggxh");
            return (Criteria) this;
        }

        public Criteria andJglxbmIsNull() {
            addCriterion("JGLXBM is null");
            return (Criteria) this;
        }

        public Criteria andJglxbmIsNotNull() {
            addCriterion("JGLXBM is not null");
            return (Criteria) this;
        }

        public Criteria andJglxbmEqualTo(String value) {
            addCriterion("JGLXBM =", value, "jglxbm");
            return (Criteria) this;
        }

        public Criteria andJglxbmNotEqualTo(String value) {
            addCriterion("JGLXBM <>", value, "jglxbm");
            return (Criteria) this;
        }

        public Criteria andJglxbmGreaterThan(String value) {
            addCriterion("JGLXBM >", value, "jglxbm");
            return (Criteria) this;
        }

        public Criteria andJglxbmGreaterThanOrEqualTo(String value) {
            addCriterion("JGLXBM >=", value, "jglxbm");
            return (Criteria) this;
        }

        public Criteria andJglxbmLessThan(String value) {
            addCriterion("JGLXBM <", value, "jglxbm");
            return (Criteria) this;
        }

        public Criteria andJglxbmLessThanOrEqualTo(String value) {
            addCriterion("JGLXBM <=", value, "jglxbm");
            return (Criteria) this;
        }

        public Criteria andJglxbmLike(String value) {
            addCriterion("JGLXBM like", value, "jglxbm");
            return (Criteria) this;
        }

        public Criteria andJglxbmNotLike(String value) {
            addCriterion("JGLXBM not like", value, "jglxbm");
            return (Criteria) this;
        }

        public Criteria andJglxbmIn(List<String> values) {
            addCriterion("JGLXBM in", values, "jglxbm");
            return (Criteria) this;
        }

        public Criteria andJglxbmNotIn(List<String> values) {
            addCriterion("JGLXBM not in", values, "jglxbm");
            return (Criteria) this;
        }

        public Criteria andJglxbmBetween(String value1, String value2) {
            addCriterion("JGLXBM between", value1, value2, "jglxbm");
            return (Criteria) this;
        }

        public Criteria andJglxbmNotBetween(String value1, String value2) {
            addCriterion("JGLXBM not between", value1, value2, "jglxbm");
            return (Criteria) this;
        }

        public Criteria andJglxmcIsNull() {
            addCriterion("JGLXMC is null");
            return (Criteria) this;
        }

        public Criteria andJglxmcIsNotNull() {
            addCriterion("JGLXMC is not null");
            return (Criteria) this;
        }

        public Criteria andJglxmcEqualTo(String value) {
            addCriterion("JGLXMC =", value, "jglxmc");
            return (Criteria) this;
        }

        public Criteria andJglxmcNotEqualTo(String value) {
            addCriterion("JGLXMC <>", value, "jglxmc");
            return (Criteria) this;
        }

        public Criteria andJglxmcGreaterThan(String value) {
            addCriterion("JGLXMC >", value, "jglxmc");
            return (Criteria) this;
        }

        public Criteria andJglxmcGreaterThanOrEqualTo(String value) {
            addCriterion("JGLXMC >=", value, "jglxmc");
            return (Criteria) this;
        }

        public Criteria andJglxmcLessThan(String value) {
            addCriterion("JGLXMC <", value, "jglxmc");
            return (Criteria) this;
        }

        public Criteria andJglxmcLessThanOrEqualTo(String value) {
            addCriterion("JGLXMC <=", value, "jglxmc");
            return (Criteria) this;
        }

        public Criteria andJglxmcLike(String value) {
            addCriterion("JGLXMC like", value, "jglxmc");
            return (Criteria) this;
        }

        public Criteria andJglxmcNotLike(String value) {
            addCriterion("JGLXMC not like", value, "jglxmc");
            return (Criteria) this;
        }

        public Criteria andJglxmcIn(List<String> values) {
            addCriterion("JGLXMC in", values, "jglxmc");
            return (Criteria) this;
        }

        public Criteria andJglxmcNotIn(List<String> values) {
            addCriterion("JGLXMC not in", values, "jglxmc");
            return (Criteria) this;
        }

        public Criteria andJglxmcBetween(String value1, String value2) {
            addCriterion("JGLXMC between", value1, value2, "jglxmc");
            return (Criteria) this;
        }

        public Criteria andJglxmcNotBetween(String value1, String value2) {
            addCriterion("JGLXMC not between", value1, value2, "jglxmc");
            return (Criteria) this;
        }

        public Criteria andSjjgIsNull() {
            addCriterion("SJJG is null");
            return (Criteria) this;
        }

        public Criteria andSjjgIsNotNull() {
            addCriterion("SJJG is not null");
            return (Criteria) this;
        }

        public Criteria andSjjgEqualTo(BigDecimal value) {
            addCriterion("SJJG =", value, "sjjg");
            return (Criteria) this;
        }

        public Criteria andSjjgNotEqualTo(BigDecimal value) {
            addCriterion("SJJG <>", value, "sjjg");
            return (Criteria) this;
        }

        public Criteria andSjjgGreaterThan(BigDecimal value) {
            addCriterion("SJJG >", value, "sjjg");
            return (Criteria) this;
        }

        public Criteria andSjjgGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("SJJG >=", value, "sjjg");
            return (Criteria) this;
        }

        public Criteria andSjjgLessThan(BigDecimal value) {
            addCriterion("SJJG <", value, "sjjg");
            return (Criteria) this;
        }

        public Criteria andSjjgLessThanOrEqualTo(BigDecimal value) {
            addCriterion("SJJG <=", value, "sjjg");
            return (Criteria) this;
        }

        public Criteria andSjjgIn(List<BigDecimal> values) {
            addCriterion("SJJG in", values, "sjjg");
            return (Criteria) this;
        }

        public Criteria andSjjgNotIn(List<BigDecimal> values) {
            addCriterion("SJJG not in", values, "sjjg");
            return (Criteria) this;
        }

        public Criteria andSjjgBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("SJJG between", value1, value2, "sjjg");
            return (Criteria) this;
        }

        public Criteria andSjjgNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("SJJG not between", value1, value2, "sjjg");
            return (Criteria) this;
        }

        public Criteria andShztIsNull() {
            addCriterion("SHZT is null");
            return (Criteria) this;
        }

        public Criteria andShztIsNotNull() {
            addCriterion("SHZT is not null");
            return (Criteria) this;
        }

        public Criteria andShztEqualTo(String value) {
            addCriterion("SHZT =", value, "shzt");
            return (Criteria) this;
        }

        public Criteria andShztNotEqualTo(String value) {
            addCriterion("SHZT <>", value, "shzt");
            return (Criteria) this;
        }

        public Criteria andShztGreaterThan(String value) {
            addCriterion("SHZT >", value, "shzt");
            return (Criteria) this;
        }

        public Criteria andShztGreaterThanOrEqualTo(String value) {
            addCriterion("SHZT >=", value, "shzt");
            return (Criteria) this;
        }

        public Criteria andShztLessThan(String value) {
            addCriterion("SHZT <", value, "shzt");
            return (Criteria) this;
        }

        public Criteria andShztLessThanOrEqualTo(String value) {
            addCriterion("SHZT <=", value, "shzt");
            return (Criteria) this;
        }

        public Criteria andShztLike(String value) {
            addCriterion("SHZT like", value, "shzt");
            return (Criteria) this;
        }

        public Criteria andShztNotLike(String value) {
            addCriterion("SHZT not like", value, "shzt");
            return (Criteria) this;
        }

        public Criteria andShztIn(List<String> values) {
            addCriterion("SHZT in", values, "shzt");
            return (Criteria) this;
        }

        public Criteria andShztNotIn(List<String> values) {
            addCriterion("SHZT not in", values, "shzt");
            return (Criteria) this;
        }

        public Criteria andShztBetween(String value1, String value2) {
            addCriterion("SHZT between", value1, value2, "shzt");
            return (Criteria) this;
        }

        public Criteria andShztNotBetween(String value1, String value2) {
            addCriterion("SHZT not between", value1, value2, "shzt");
            return (Criteria) this;
        }

        public Criteria andSblxIsNull() {
            addCriterion("SBLX is null");
            return (Criteria) this;
        }

        public Criteria andSblxIsNotNull() {
            addCriterion("SBLX is not null");
            return (Criteria) this;
        }

        public Criteria andSblxEqualTo(String value) {
            addCriterion("SBLX =", value, "sblx");
            return (Criteria) this;
        }

        public Criteria andSblxNotEqualTo(String value) {
            addCriterion("SBLX <>", value, "sblx");
            return (Criteria) this;
        }

        public Criteria andSblxGreaterThan(String value) {
            addCriterion("SBLX >", value, "sblx");
            return (Criteria) this;
        }

        public Criteria andSblxGreaterThanOrEqualTo(String value) {
            addCriterion("SBLX >=", value, "sblx");
            return (Criteria) this;
        }

        public Criteria andSblxLessThan(String value) {
            addCriterion("SBLX <", value, "sblx");
            return (Criteria) this;
        }

        public Criteria andSblxLessThanOrEqualTo(String value) {
            addCriterion("SBLX <=", value, "sblx");
            return (Criteria) this;
        }

        public Criteria andSblxLike(String value) {
            addCriterion("SBLX like", value, "sblx");
            return (Criteria) this;
        }

        public Criteria andSblxNotLike(String value) {
            addCriterion("SBLX not like", value, "sblx");
            return (Criteria) this;
        }

        public Criteria andSblxIn(List<String> values) {
            addCriterion("SBLX in", values, "sblx");
            return (Criteria) this;
        }

        public Criteria andSblxNotIn(List<String> values) {
            addCriterion("SBLX not in", values, "sblx");
            return (Criteria) this;
        }

        public Criteria andSblxBetween(String value1, String value2) {
            addCriterion("SBLX between", value1, value2, "sblx");
            return (Criteria) this;
        }

        public Criteria andSblxNotBetween(String value1, String value2) {
            addCriterion("SBLX not between", value1, value2, "sblx");
            return (Criteria) this;
        }

        public Criteria andCjrbmIsNull() {
            addCriterion("CJRBM is null");
            return (Criteria) this;
        }

        public Criteria andCjrbmIsNotNull() {
            addCriterion("CJRBM is not null");
            return (Criteria) this;
        }

        public Criteria andCjrbmEqualTo(String value) {
            addCriterion("CJRBM =", value, "cjrbm");
            return (Criteria) this;
        }

        public Criteria andCjrbmNotEqualTo(String value) {
            addCriterion("CJRBM <>", value, "cjrbm");
            return (Criteria) this;
        }

        public Criteria andCjrbmGreaterThan(String value) {
            addCriterion("CJRBM >", value, "cjrbm");
            return (Criteria) this;
        }

        public Criteria andCjrbmGreaterThanOrEqualTo(String value) {
            addCriterion("CJRBM >=", value, "cjrbm");
            return (Criteria) this;
        }

        public Criteria andCjrbmLessThan(String value) {
            addCriterion("CJRBM <", value, "cjrbm");
            return (Criteria) this;
        }

        public Criteria andCjrbmLessThanOrEqualTo(String value) {
            addCriterion("CJRBM <=", value, "cjrbm");
            return (Criteria) this;
        }

        public Criteria andCjrbmLike(String value) {
            addCriterion("CJRBM like", value, "cjrbm");
            return (Criteria) this;
        }

        public Criteria andCjrbmNotLike(String value) {
            addCriterion("CJRBM not like", value, "cjrbm");
            return (Criteria) this;
        }

        public Criteria andCjrbmIn(List<String> values) {
            addCriterion("CJRBM in", values, "cjrbm");
            return (Criteria) this;
        }

        public Criteria andCjrbmNotIn(List<String> values) {
            addCriterion("CJRBM not in", values, "cjrbm");
            return (Criteria) this;
        }

        public Criteria andCjrbmBetween(String value1, String value2) {
            addCriterion("CJRBM between", value1, value2, "cjrbm");
            return (Criteria) this;
        }

        public Criteria andCjrbmNotBetween(String value1, String value2) {
            addCriterion("CJRBM not between", value1, value2, "cjrbm");
            return (Criteria) this;
        }

        public Criteria andCjrmcIsNull() {
            addCriterion("CJRMC is null");
            return (Criteria) this;
        }

        public Criteria andCjrmcIsNotNull() {
            addCriterion("CJRMC is not null");
            return (Criteria) this;
        }

        public Criteria andCjrmcEqualTo(String value) {
            addCriterion("CJRMC =", value, "cjrmc");
            return (Criteria) this;
        }

        public Criteria andCjrmcNotEqualTo(String value) {
            addCriterion("CJRMC <>", value, "cjrmc");
            return (Criteria) this;
        }

        public Criteria andCjrmcGreaterThan(String value) {
            addCriterion("CJRMC >", value, "cjrmc");
            return (Criteria) this;
        }

        public Criteria andCjrmcGreaterThanOrEqualTo(String value) {
            addCriterion("CJRMC >=", value, "cjrmc");
            return (Criteria) this;
        }

        public Criteria andCjrmcLessThan(String value) {
            addCriterion("CJRMC <", value, "cjrmc");
            return (Criteria) this;
        }

        public Criteria andCjrmcLessThanOrEqualTo(String value) {
            addCriterion("CJRMC <=", value, "cjrmc");
            return (Criteria) this;
        }

        public Criteria andCjrmcLike(String value) {
            addCriterion("CJRMC like", value, "cjrmc");
            return (Criteria) this;
        }

        public Criteria andCjrmcNotLike(String value) {
            addCriterion("CJRMC not like", value, "cjrmc");
            return (Criteria) this;
        }

        public Criteria andCjrmcIn(List<String> values) {
            addCriterion("CJRMC in", values, "cjrmc");
            return (Criteria) this;
        }

        public Criteria andCjrmcNotIn(List<String> values) {
            addCriterion("CJRMC not in", values, "cjrmc");
            return (Criteria) this;
        }

        public Criteria andCjrmcBetween(String value1, String value2) {
            addCriterion("CJRMC between", value1, value2, "cjrmc");
            return (Criteria) this;
        }

        public Criteria andCjrmcNotBetween(String value1, String value2) {
            addCriterion("CJRMC not between", value1, value2, "cjrmc");
            return (Criteria) this;
        }

        public Criteria andCjsjIsNull() {
            addCriterion("CJSJ is null");
            return (Criteria) this;
        }

        public Criteria andCjsjIsNotNull() {
            addCriterion("CJSJ is not null");
            return (Criteria) this;
        }

        public Criteria andCjsjEqualTo(Date value) {
            addCriterionForJDBCDate("CJSJ =", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotEqualTo(Date value) {
            addCriterionForJDBCDate("CJSJ <>", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjGreaterThan(Date value) {
            addCriterionForJDBCDate("CJSJ >", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("CJSJ >=", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjLessThan(Date value) {
            addCriterionForJDBCDate("CJSJ <", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("CJSJ <=", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjIn(List<Date> values) {
            addCriterionForJDBCDate("CJSJ in", values, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotIn(List<Date> values) {
            addCriterionForJDBCDate("CJSJ not in", values, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("CJSJ between", value1, value2, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("CJSJ not between", value1, value2, "cjsj");
            return (Criteria) this;
        }

        public Criteria andScrbmIsNull() {
            addCriterion("SCRBM is null");
            return (Criteria) this;
        }

        public Criteria andScrbmIsNotNull() {
            addCriterion("SCRBM is not null");
            return (Criteria) this;
        }

        public Criteria andScrbmEqualTo(String value) {
            addCriterion("SCRBM =", value, "scrbm");
            return (Criteria) this;
        }

        public Criteria andScrbmNotEqualTo(String value) {
            addCriterion("SCRBM <>", value, "scrbm");
            return (Criteria) this;
        }

        public Criteria andScrbmGreaterThan(String value) {
            addCriterion("SCRBM >", value, "scrbm");
            return (Criteria) this;
        }

        public Criteria andScrbmGreaterThanOrEqualTo(String value) {
            addCriterion("SCRBM >=", value, "scrbm");
            return (Criteria) this;
        }

        public Criteria andScrbmLessThan(String value) {
            addCriterion("SCRBM <", value, "scrbm");
            return (Criteria) this;
        }

        public Criteria andScrbmLessThanOrEqualTo(String value) {
            addCriterion("SCRBM <=", value, "scrbm");
            return (Criteria) this;
        }

        public Criteria andScrbmLike(String value) {
            addCriterion("SCRBM like", value, "scrbm");
            return (Criteria) this;
        }

        public Criteria andScrbmNotLike(String value) {
            addCriterion("SCRBM not like", value, "scrbm");
            return (Criteria) this;
        }

        public Criteria andScrbmIn(List<String> values) {
            addCriterion("SCRBM in", values, "scrbm");
            return (Criteria) this;
        }

        public Criteria andScrbmNotIn(List<String> values) {
            addCriterion("SCRBM not in", values, "scrbm");
            return (Criteria) this;
        }

        public Criteria andScrbmBetween(String value1, String value2) {
            addCriterion("SCRBM between", value1, value2, "scrbm");
            return (Criteria) this;
        }

        public Criteria andScrbmNotBetween(String value1, String value2) {
            addCriterion("SCRBM not between", value1, value2, "scrbm");
            return (Criteria) this;
        }

        public Criteria andScrmcIsNull() {
            addCriterion("SCRMC is null");
            return (Criteria) this;
        }

        public Criteria andScrmcIsNotNull() {
            addCriterion("SCRMC is not null");
            return (Criteria) this;
        }

        public Criteria andScrmcEqualTo(String value) {
            addCriterion("SCRMC =", value, "scrmc");
            return (Criteria) this;
        }

        public Criteria andScrmcNotEqualTo(String value) {
            addCriterion("SCRMC <>", value, "scrmc");
            return (Criteria) this;
        }

        public Criteria andScrmcGreaterThan(String value) {
            addCriterion("SCRMC >", value, "scrmc");
            return (Criteria) this;
        }

        public Criteria andScrmcGreaterThanOrEqualTo(String value) {
            addCriterion("SCRMC >=", value, "scrmc");
            return (Criteria) this;
        }

        public Criteria andScrmcLessThan(String value) {
            addCriterion("SCRMC <", value, "scrmc");
            return (Criteria) this;
        }

        public Criteria andScrmcLessThanOrEqualTo(String value) {
            addCriterion("SCRMC <=", value, "scrmc");
            return (Criteria) this;
        }

        public Criteria andScrmcLike(String value) {
            addCriterion("SCRMC like", value, "scrmc");
            return (Criteria) this;
        }

        public Criteria andScrmcNotLike(String value) {
            addCriterion("SCRMC not like", value, "scrmc");
            return (Criteria) this;
        }

        public Criteria andScrmcIn(List<String> values) {
            addCriterion("SCRMC in", values, "scrmc");
            return (Criteria) this;
        }

        public Criteria andScrmcNotIn(List<String> values) {
            addCriterion("SCRMC not in", values, "scrmc");
            return (Criteria) this;
        }

        public Criteria andScrmcBetween(String value1, String value2) {
            addCriterion("SCRMC between", value1, value2, "scrmc");
            return (Criteria) this;
        }

        public Criteria andScrmcNotBetween(String value1, String value2) {
            addCriterion("SCRMC not between", value1, value2, "scrmc");
            return (Criteria) this;
        }

        public Criteria andScsjIsNull() {
            addCriterion("SCSJ is null");
            return (Criteria) this;
        }

        public Criteria andScsjIsNotNull() {
            addCriterion("SCSJ is not null");
            return (Criteria) this;
        }

        public Criteria andScsjEqualTo(Date value) {
            addCriterionForJDBCDate("SCSJ =", value, "scsj");
            return (Criteria) this;
        }

        public Criteria andScsjNotEqualTo(Date value) {
            addCriterionForJDBCDate("SCSJ <>", value, "scsj");
            return (Criteria) this;
        }

        public Criteria andScsjGreaterThan(Date value) {
            addCriterionForJDBCDate("SCSJ >", value, "scsj");
            return (Criteria) this;
        }

        public Criteria andScsjGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("SCSJ >=", value, "scsj");
            return (Criteria) this;
        }

        public Criteria andScsjLessThan(Date value) {
            addCriterionForJDBCDate("SCSJ <", value, "scsj");
            return (Criteria) this;
        }

        public Criteria andScsjLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("SCSJ <=", value, "scsj");
            return (Criteria) this;
        }

        public Criteria andScsjIn(List<Date> values) {
            addCriterionForJDBCDate("SCSJ in", values, "scsj");
            return (Criteria) this;
        }

        public Criteria andScsjNotIn(List<Date> values) {
            addCriterionForJDBCDate("SCSJ not in", values, "scsj");
            return (Criteria) this;
        }

        public Criteria andScsjBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("SCSJ between", value1, value2, "scsj");
            return (Criteria) this;
        }

        public Criteria andScsjNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("SCSJ not between", value1, value2, "scsj");
            return (Criteria) this;
        }

        public Criteria andShrbmIsNull() {
            addCriterion("SHRBM is null");
            return (Criteria) this;
        }

        public Criteria andShrbmIsNotNull() {
            addCriterion("SHRBM is not null");
            return (Criteria) this;
        }

        public Criteria andShrbmEqualTo(String value) {
            addCriterion("SHRBM =", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmNotEqualTo(String value) {
            addCriterion("SHRBM <>", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmGreaterThan(String value) {
            addCriterion("SHRBM >", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmGreaterThanOrEqualTo(String value) {
            addCriterion("SHRBM >=", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmLessThan(String value) {
            addCriterion("SHRBM <", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmLessThanOrEqualTo(String value) {
            addCriterion("SHRBM <=", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmLike(String value) {
            addCriterion("SHRBM like", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmNotLike(String value) {
            addCriterion("SHRBM not like", value, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmIn(List<String> values) {
            addCriterion("SHRBM in", values, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmNotIn(List<String> values) {
            addCriterion("SHRBM not in", values, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmBetween(String value1, String value2) {
            addCriterion("SHRBM between", value1, value2, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrbmNotBetween(String value1, String value2) {
            addCriterion("SHRBM not between", value1, value2, "shrbm");
            return (Criteria) this;
        }

        public Criteria andShrmcIsNull() {
            addCriterion("SHRMC is null");
            return (Criteria) this;
        }

        public Criteria andShrmcIsNotNull() {
            addCriterion("SHRMC is not null");
            return (Criteria) this;
        }

        public Criteria andShrmcEqualTo(String value) {
            addCriterion("SHRMC =", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcNotEqualTo(String value) {
            addCriterion("SHRMC <>", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcGreaterThan(String value) {
            addCriterion("SHRMC >", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcGreaterThanOrEqualTo(String value) {
            addCriterion("SHRMC >=", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcLessThan(String value) {
            addCriterion("SHRMC <", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcLessThanOrEqualTo(String value) {
            addCriterion("SHRMC <=", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcLike(String value) {
            addCriterion("SHRMC like", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcNotLike(String value) {
            addCriterion("SHRMC not like", value, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcIn(List<String> values) {
            addCriterion("SHRMC in", values, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcNotIn(List<String> values) {
            addCriterion("SHRMC not in", values, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcBetween(String value1, String value2) {
            addCriterion("SHRMC between", value1, value2, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShrmcNotBetween(String value1, String value2) {
            addCriterion("SHRMC not between", value1, value2, "shrmc");
            return (Criteria) this;
        }

        public Criteria andShsjIsNull() {
            addCriterion("SHSJ is null");
            return (Criteria) this;
        }

        public Criteria andShsjIsNotNull() {
            addCriterion("SHSJ is not null");
            return (Criteria) this;
        }

        public Criteria andShsjEqualTo(Date value) {
            addCriterionForJDBCDate("SHSJ =", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjNotEqualTo(Date value) {
            addCriterionForJDBCDate("SHSJ <>", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjGreaterThan(Date value) {
            addCriterionForJDBCDate("SHSJ >", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("SHSJ >=", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjLessThan(Date value) {
            addCriterionForJDBCDate("SHSJ <", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("SHSJ <=", value, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjIn(List<Date> values) {
            addCriterionForJDBCDate("SHSJ in", values, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjNotIn(List<Date> values) {
            addCriterionForJDBCDate("SHSJ not in", values, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("SHSJ between", value1, value2, "shsj");
            return (Criteria) this;
        }

        public Criteria andShsjNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("SHSJ not between", value1, value2, "shsj");
            return (Criteria) this;
        }

        public Criteria andFbrbmIsNull() {
            addCriterion("FBRBM is null");
            return (Criteria) this;
        }

        public Criteria andFbrbmIsNotNull() {
            addCriterion("FBRBM is not null");
            return (Criteria) this;
        }

        public Criteria andFbrbmEqualTo(String value) {
            addCriterion("FBRBM =", value, "fbrbm");
            return (Criteria) this;
        }

        public Criteria andFbrbmNotEqualTo(String value) {
            addCriterion("FBRBM <>", value, "fbrbm");
            return (Criteria) this;
        }

        public Criteria andFbrbmGreaterThan(String value) {
            addCriterion("FBRBM >", value, "fbrbm");
            return (Criteria) this;
        }

        public Criteria andFbrbmGreaterThanOrEqualTo(String value) {
            addCriterion("FBRBM >=", value, "fbrbm");
            return (Criteria) this;
        }

        public Criteria andFbrbmLessThan(String value) {
            addCriterion("FBRBM <", value, "fbrbm");
            return (Criteria) this;
        }

        public Criteria andFbrbmLessThanOrEqualTo(String value) {
            addCriterion("FBRBM <=", value, "fbrbm");
            return (Criteria) this;
        }

        public Criteria andFbrbmLike(String value) {
            addCriterion("FBRBM like", value, "fbrbm");
            return (Criteria) this;
        }

        public Criteria andFbrbmNotLike(String value) {
            addCriterion("FBRBM not like", value, "fbrbm");
            return (Criteria) this;
        }

        public Criteria andFbrbmIn(List<String> values) {
            addCriterion("FBRBM in", values, "fbrbm");
            return (Criteria) this;
        }

        public Criteria andFbrbmNotIn(List<String> values) {
            addCriterion("FBRBM not in", values, "fbrbm");
            return (Criteria) this;
        }

        public Criteria andFbrbmBetween(String value1, String value2) {
            addCriterion("FBRBM between", value1, value2, "fbrbm");
            return (Criteria) this;
        }

        public Criteria andFbrbmNotBetween(String value1, String value2) {
            addCriterion("FBRBM not between", value1, value2, "fbrbm");
            return (Criteria) this;
        }

        public Criteria andFbrmcIsNull() {
            addCriterion("FBRMC is null");
            return (Criteria) this;
        }

        public Criteria andFbrmcIsNotNull() {
            addCriterion("FBRMC is not null");
            return (Criteria) this;
        }

        public Criteria andFbrmcEqualTo(String value) {
            addCriterion("FBRMC =", value, "fbrmc");
            return (Criteria) this;
        }

        public Criteria andFbrmcNotEqualTo(String value) {
            addCriterion("FBRMC <>", value, "fbrmc");
            return (Criteria) this;
        }

        public Criteria andFbrmcGreaterThan(String value) {
            addCriterion("FBRMC >", value, "fbrmc");
            return (Criteria) this;
        }

        public Criteria andFbrmcGreaterThanOrEqualTo(String value) {
            addCriterion("FBRMC >=", value, "fbrmc");
            return (Criteria) this;
        }

        public Criteria andFbrmcLessThan(String value) {
            addCriterion("FBRMC <", value, "fbrmc");
            return (Criteria) this;
        }

        public Criteria andFbrmcLessThanOrEqualTo(String value) {
            addCriterion("FBRMC <=", value, "fbrmc");
            return (Criteria) this;
        }

        public Criteria andFbrmcLike(String value) {
            addCriterion("FBRMC like", value, "fbrmc");
            return (Criteria) this;
        }

        public Criteria andFbrmcNotLike(String value) {
            addCriterion("FBRMC not like", value, "fbrmc");
            return (Criteria) this;
        }

        public Criteria andFbrmcIn(List<String> values) {
            addCriterion("FBRMC in", values, "fbrmc");
            return (Criteria) this;
        }

        public Criteria andFbrmcNotIn(List<String> values) {
            addCriterion("FBRMC not in", values, "fbrmc");
            return (Criteria) this;
        }

        public Criteria andFbrmcBetween(String value1, String value2) {
            addCriterion("FBRMC between", value1, value2, "fbrmc");
            return (Criteria) this;
        }

        public Criteria andFbrmcNotBetween(String value1, String value2) {
            addCriterion("FBRMC not between", value1, value2, "fbrmc");
            return (Criteria) this;
        }

        public Criteria andFbsjIsNull() {
            addCriterion("FBSJ is null");
            return (Criteria) this;
        }

        public Criteria andFbsjIsNotNull() {
            addCriterion("FBSJ is not null");
            return (Criteria) this;
        }

        public Criteria andFbsjEqualTo(Date value) {
            addCriterionForJDBCDate("FBSJ =", value, "fbsj");
            return (Criteria) this;
        }

        public Criteria andFbsjNotEqualTo(Date value) {
            addCriterionForJDBCDate("FBSJ <>", value, "fbsj");
            return (Criteria) this;
        }

        public Criteria andFbsjGreaterThan(Date value) {
            addCriterionForJDBCDate("FBSJ >", value, "fbsj");
            return (Criteria) this;
        }

        public Criteria andFbsjGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("FBSJ >=", value, "fbsj");
            return (Criteria) this;
        }

        public Criteria andFbsjLessThan(Date value) {
            addCriterionForJDBCDate("FBSJ <", value, "fbsj");
            return (Criteria) this;
        }

        public Criteria andFbsjLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("FBSJ <=", value, "fbsj");
            return (Criteria) this;
        }

        public Criteria andFbsjIn(List<Date> values) {
            addCriterionForJDBCDate("FBSJ in", values, "fbsj");
            return (Criteria) this;
        }

        public Criteria andFbsjNotIn(List<Date> values) {
            addCriterionForJDBCDate("FBSJ not in", values, "fbsj");
            return (Criteria) this;
        }

        public Criteria andFbsjBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("FBSJ between", value1, value2, "fbsj");
            return (Criteria) this;
        }

        public Criteria andFbsjNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("FBSJ not between", value1, value2, "fbsj");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("`STATUS` is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("`STATUS` is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(BigDecimal value) {
            addCriterion("`STATUS` =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(BigDecimal value) {
            addCriterion("`STATUS` <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(BigDecimal value) {
            addCriterion("`STATUS` >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("`STATUS` >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(BigDecimal value) {
            addCriterion("`STATUS` <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(BigDecimal value) {
            addCriterion("`STATUS` <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<BigDecimal> values) {
            addCriterion("`STATUS` in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<BigDecimal> values) {
            addCriterion("`STATUS` not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("`STATUS` between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("`STATUS` not between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    /**
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}